githubEdit

Bookings

Reserving availability and making a booking

The steps to making a booking are as follows:

  1. Check Availability: Check availability and retrieve an availability ID.

  2. Booking Reservation: Create a booking that reserves availability while you collect payment and customer details.

  3. Booking Confirmation: Confirm the booking once payment is complete.

All routes in this page are public OCTO routes under https://api.ventrata.com/octo.

All booking routes are documented in the Endpoints section below.

Endpoints

Create Booking

post

Reserves availability by creating an ON_HOLD booking.

productId, optionId, availabilityId, and unitItems are required.

Body

Shared booking request shape for booking write operations.

productIdstringRequired

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
availabilityIdstringRequired

Availability identifier (date or date-time).

Example: 2026-05-14T09:00:00-04:00
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodstringOptional

Delivery method value.

Example: VOUCHER
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
expirationMinutesintegerOptional

Expiration minutes numeric value.

Example: 30
notesstringOptional

Notes value.

Example: Vegetarian meal requested
quotebooleanOptional

Whether quote is enabled.

Example: false
resellerReferencestringOptional

Reseller reference value. We highly recommend including a resellerReference.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
uuidstring · uuidOptional

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
termsAcceptedbooleanOptional

From capability octo/content.

Example: true
offerCodestringOptional

From capability octo/offers.

Example: SUMMER25
dropoffNotesstringOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstringOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
dropoffRequestedbooleanOptional

From capability octo/pickups.

Example: true
pickupHotelstringOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstringOptional

From capability octo/pickups.

Example: 1208
pickupNotesstringOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstringOptional

From capability octo/pickups.

Example: pickup_union_square
pickupRequestedbooleanOptional

From capability octo/pickups.

Example: true
rentalDurationIdstringOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstringOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
returnUrlstring · uriOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
Responses
chevron-right
200

Returns a Booking object.

application/json
activebooleanOptional

Whether active is enabled.

Example: true
aliasstring · nullableOptional

Alias value.

Example: booking-alias-001
availabilityIdstring · nullableOptional

Availability identifier (local date or local date-time).

Example: 2026-05-14T09:00:00-04:00
availabilityLocalDateEndstring · nullableOptional

Availability local date end value.

Example: 2026-05-21
availabilityLocalDateStartstring · nullableOptional

Availability local date start value.

Example: 2026-05-14
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodsstring[]Optional

Delivery methods available on this booking. VOUCHER means use booking.voucher; TICKET means use booking.unitItems[].ticket.

Example: ["VOUCHER","TICKET"]
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
freesalebooleanOptional

Whether freesale is enabled.

Example: true
idstring · uuidRead-onlyOptional

Unique identifier for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
localDateTimeEndstring · date-timeOptional

Local date time end timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
localDateTimeStartstring · date-timeOptional

Local date time start timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
notesstring · nullableOptional

Notes value.

Example: Vegetarian meal requested
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
originalRebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
rebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
resellerReferencestring · nullableOptional

Reseller reference value.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
statusstring · enumRequired

Current status value.

Example: ON_HOLDPossible values:
supplierReferencestringOptional

Human-readable supplier reference to share with the guest and store for support and billing reconciliation.

Example: SUP-BOOK-7782
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcNoshowedAtstring · date-time · nullableOptional

Utc noshowed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRebookedAtstring · date-time · nullableOptional

Utc rebooked at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRedeemedAtstring · date-time · nullableOptional

Utc redeemed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
offerCodestring · nullableOptional

From capability octo/offers.

Example: SUMMER25
offerIsCombinationbooleanOptional

From capability octo/offers.

Example: true
offerTitlestring · nullableOptional

From capability octo/offers.

Example: Summer Promotion
packageIncludeIdstring · nullableOptional

From capability octo/packages.

Example: package_include_id-example
packageUnitItemUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
packageUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
dropoffNotesstring · nullableOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstring · nullableOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
pickupHotelstring · nullableOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstring · nullableOptional

From capability octo/pickups.

Example: 1208
pickupNotesstring · nullableOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstring · nullableOptional

From capability octo/pickups.

Example: pickup_union_square
rentalDurationIdstring · nullableOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstring · nullableOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
orderInvoicePdfUrlstring · nullableOptional

From capability octo/cart.

Example: https://www.city-sightseeing.com
orderReferencestring · nullableOptional

From capability octo/cart.

Example: ORDER-2026-0514-1001
primarybooleanOptional

From capability octo/cart.

Example: true
checkedInbooleanOptional

From capability octo/checkin.

Example: true
checkinAvailablebooleanOptional

From capability octo/checkin.

Example: true
checkinUrlstring · nullableOptional

From capability octo/checkin.

Example: https://checkin.city-sightseeing.com/booking/89fe0192
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/bookings
200

Returns a Booking object.

Update Booking

patch

Updates an existing booking.

Path parameters
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
Body

Shared booking request shape for booking write operations.

productIdstringRequired

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
availabilityIdstringRequired

Availability identifier (date or date-time).

Example: 2026-05-14T09:00:00-04:00
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodstringOptional

Delivery method value.

Example: VOUCHER
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
expirationMinutesintegerOptional

Expiration minutes numeric value.

Example: 30
notesstringOptional

Notes value.

Example: Vegetarian meal requested
quotebooleanOptional

Whether quote is enabled.

Example: false
resellerReferencestringOptional

Reseller reference value. We highly recommend including a resellerReference.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
uuidstring · uuidOptional

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
termsAcceptedbooleanOptional

From capability octo/content.

Example: true
offerCodestringOptional

From capability octo/offers.

Example: SUMMER25
dropoffNotesstringOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstringOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
dropoffRequestedbooleanOptional

From capability octo/pickups.

Example: true
pickupHotelstringOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstringOptional

From capability octo/pickups.

Example: 1208
pickupNotesstringOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstringOptional

From capability octo/pickups.

Example: pickup_union_square
pickupRequestedbooleanOptional

From capability octo/pickups.

Example: true
rentalDurationIdstringOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstringOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
returnUrlstring · uriOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
Responses
chevron-right
200

Returns a Booking object.

application/json
activebooleanOptional

Whether active is enabled.

Example: true
aliasstring · nullableOptional

Alias value.

Example: booking-alias-001
availabilityIdstring · nullableOptional

Availability identifier (local date or local date-time).

Example: 2026-05-14T09:00:00-04:00
availabilityLocalDateEndstring · nullableOptional

Availability local date end value.

Example: 2026-05-21
availabilityLocalDateStartstring · nullableOptional

Availability local date start value.

Example: 2026-05-14
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodsstring[]Optional

Delivery methods available on this booking. VOUCHER means use booking.voucher; TICKET means use booking.unitItems[].ticket.

Example: ["VOUCHER","TICKET"]
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
freesalebooleanOptional

Whether freesale is enabled.

Example: true
idstring · uuidRead-onlyOptional

Unique identifier for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
localDateTimeEndstring · date-timeOptional

Local date time end timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
localDateTimeStartstring · date-timeOptional

Local date time start timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
notesstring · nullableOptional

Notes value.

Example: Vegetarian meal requested
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
originalRebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
rebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
resellerReferencestring · nullableOptional

Reseller reference value.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
statusstring · enumRequired

Current status value.

Example: ON_HOLDPossible values:
supplierReferencestringOptional

Human-readable supplier reference to share with the guest and store for support and billing reconciliation.

Example: SUP-BOOK-7782
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcNoshowedAtstring · date-time · nullableOptional

Utc noshowed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRebookedAtstring · date-time · nullableOptional

Utc rebooked at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRedeemedAtstring · date-time · nullableOptional

Utc redeemed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
offerCodestring · nullableOptional

From capability octo/offers.

Example: SUMMER25
offerIsCombinationbooleanOptional

From capability octo/offers.

Example: true
offerTitlestring · nullableOptional

From capability octo/offers.

Example: Summer Promotion
packageIncludeIdstring · nullableOptional

From capability octo/packages.

Example: package_include_id-example
packageUnitItemUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
packageUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
dropoffNotesstring · nullableOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstring · nullableOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
pickupHotelstring · nullableOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstring · nullableOptional

From capability octo/pickups.

Example: 1208
pickupNotesstring · nullableOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstring · nullableOptional

From capability octo/pickups.

Example: pickup_union_square
rentalDurationIdstring · nullableOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstring · nullableOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
orderInvoicePdfUrlstring · nullableOptional

From capability octo/cart.

Example: https://www.city-sightseeing.com
orderReferencestring · nullableOptional

From capability octo/cart.

Example: ORDER-2026-0514-1001
primarybooleanOptional

From capability octo/cart.

Example: true
checkedInbooleanOptional

From capability octo/checkin.

Example: true
checkinAvailablebooleanOptional

From capability octo/checkin.

Example: true
checkinUrlstring · nullableOptional

From capability octo/checkin.

Example: https://checkin.city-sightseeing.com/booking/89fe0192
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
patch
/bookings/{uuid}
200

Returns a Booking object.

Booking Confirmation

post

Confirms an existing booking referenced by path UUID.

After confirmation, the most important fields in the Booking response are:

  • supplierReference: Human-readable supplier reference to share with the guest and store for support and billing reconciliation.
  • voucher: Present for per-booking delivery when booking.deliveryMethods includes VOUCHER.
  • unitItems[].ticket: Present for per-person delivery when booking.deliveryMethods includes TICKET.
  • pricing.retail: Retail amount in minor units that you must charge the guest for this booking.
  • pricing.net: Net amount in minor units that the supplier invoices for this booking.

If both VOUCHER and TICKET are available, choose the format the guest prefers: one voucher for the booking or one ticket per unit item.

The voucher and ticket objects have the same shape and include guest-facing media in deliveryOptions (for example PDF_URL, QRCODE, and wallet links).

Path parameters
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
Body

Request schema for booking confirmation. This endpoint documents contact updates and an optional reseller reference.

resellerReferencestringOptional

Reseller reference value. We highly recommend including a resellerReference.

Example: RES-BOOK-10045
Responses
chevron-right
200

Returns a Booking object.

application/json
activebooleanOptional

Whether active is enabled.

Example: true
aliasstring · nullableOptional

Alias value.

Example: booking-alias-001
availabilityIdstring · nullableOptional

Availability identifier (local date or local date-time).

Example: 2026-05-14T09:00:00-04:00
availabilityLocalDateEndstring · nullableOptional

Availability local date end value.

Example: 2026-05-21
availabilityLocalDateStartstring · nullableOptional

Availability local date start value.

Example: 2026-05-14
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodsstring[]Optional

Delivery methods available on this booking. VOUCHER means use booking.voucher; TICKET means use booking.unitItems[].ticket.

Example: ["VOUCHER","TICKET"]
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
freesalebooleanOptional

Whether freesale is enabled.

Example: true
idstring · uuidRead-onlyOptional

Unique identifier for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
localDateTimeEndstring · date-timeOptional

Local date time end timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
localDateTimeStartstring · date-timeOptional

Local date time start timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
notesstring · nullableOptional

Notes value.

Example: Vegetarian meal requested
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
originalRebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
rebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
resellerReferencestring · nullableOptional

Reseller reference value.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
statusstring · enumRequired

Current status value.

Example: ON_HOLDPossible values:
supplierReferencestringOptional

Human-readable supplier reference to share with the guest and store for support and billing reconciliation.

Example: SUP-BOOK-7782
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcNoshowedAtstring · date-time · nullableOptional

Utc noshowed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRebookedAtstring · date-time · nullableOptional

Utc rebooked at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRedeemedAtstring · date-time · nullableOptional

Utc redeemed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
offerCodestring · nullableOptional

From capability octo/offers.

Example: SUMMER25
offerIsCombinationbooleanOptional

From capability octo/offers.

Example: true
offerTitlestring · nullableOptional

From capability octo/offers.

Example: Summer Promotion
packageIncludeIdstring · nullableOptional

From capability octo/packages.

Example: package_include_id-example
packageUnitItemUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
packageUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
dropoffNotesstring · nullableOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstring · nullableOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
pickupHotelstring · nullableOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstring · nullableOptional

From capability octo/pickups.

Example: 1208
pickupNotesstring · nullableOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstring · nullableOptional

From capability octo/pickups.

Example: pickup_union_square
rentalDurationIdstring · nullableOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstring · nullableOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
orderInvoicePdfUrlstring · nullableOptional

From capability octo/cart.

Example: https://www.city-sightseeing.com
orderReferencestring · nullableOptional

From capability octo/cart.

Example: ORDER-2026-0514-1001
primarybooleanOptional

From capability octo/cart.

Example: true
checkedInbooleanOptional

From capability octo/checkin.

Example: true
checkinAvailablebooleanOptional

From capability octo/checkin.

Example: true
checkinUrlstring · nullableOptional

From capability octo/checkin.

Example: https://checkin.city-sightseeing.com/booking/89fe0192
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/bookings/{uuid}/confirm
200

Returns a Booking object.

Booking Cancellation

post

Cancels a booking.

Path parameters
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
Body
reasonstringOptional

Reason for the requested action.

Example: Customer request
Responses
chevron-right
200

Returns a Booking object.

application/json
activebooleanOptional

Whether active is enabled.

Example: true
aliasstring · nullableOptional

Alias value.

Example: booking-alias-001
availabilityIdstring · nullableOptional

Availability identifier (local date or local date-time).

Example: 2026-05-14T09:00:00-04:00
availabilityLocalDateEndstring · nullableOptional

Availability local date end value.

Example: 2026-05-21
availabilityLocalDateStartstring · nullableOptional

Availability local date start value.

Example: 2026-05-14
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodsstring[]Optional

Delivery methods available on this booking. VOUCHER means use booking.voucher; TICKET means use booking.unitItems[].ticket.

Example: ["VOUCHER","TICKET"]
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
freesalebooleanOptional

Whether freesale is enabled.

Example: true
idstring · uuidRead-onlyOptional

Unique identifier for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
localDateTimeEndstring · date-timeOptional

Local date time end timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
localDateTimeStartstring · date-timeOptional

Local date time start timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
notesstring · nullableOptional

Notes value.

Example: Vegetarian meal requested
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
originalRebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
rebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
resellerReferencestring · nullableOptional

Reseller reference value.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
statusstring · enumRequired

Current status value.

Example: ON_HOLDPossible values:
supplierReferencestringOptional

Human-readable supplier reference to share with the guest and store for support and billing reconciliation.

Example: SUP-BOOK-7782
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcNoshowedAtstring · date-time · nullableOptional

Utc noshowed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRebookedAtstring · date-time · nullableOptional

Utc rebooked at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRedeemedAtstring · date-time · nullableOptional

Utc redeemed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
offerCodestring · nullableOptional

From capability octo/offers.

Example: SUMMER25
offerIsCombinationbooleanOptional

From capability octo/offers.

Example: true
offerTitlestring · nullableOptional

From capability octo/offers.

Example: Summer Promotion
packageIncludeIdstring · nullableOptional

From capability octo/packages.

Example: package_include_id-example
packageUnitItemUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
packageUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
dropoffNotesstring · nullableOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstring · nullableOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
pickupHotelstring · nullableOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstring · nullableOptional

From capability octo/pickups.

Example: 1208
pickupNotesstring · nullableOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstring · nullableOptional

From capability octo/pickups.

Example: pickup_union_square
rentalDurationIdstring · nullableOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstring · nullableOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
orderInvoicePdfUrlstring · nullableOptional

From capability octo/cart.

Example: https://www.city-sightseeing.com
orderReferencestring · nullableOptional

From capability octo/cart.

Example: ORDER-2026-0514-1001
primarybooleanOptional

From capability octo/cart.

Example: true
checkedInbooleanOptional

From capability octo/checkin.

Example: true
checkinAvailablebooleanOptional

From capability octo/checkin.

Example: true
checkinUrlstring · nullableOptional

From capability octo/checkin.

Example: https://checkin.city-sightseeing.com/booking/89fe0192
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/bookings/{uuid}/cancel
200

Returns a Booking object.

Extend Reservation

post

Extends booking hold expiry.

Path parameters
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
Body
expirationMinutesintegerOptional

Expiration minutes numeric value.

Example: 30
Responses
chevron-right
200

Returns a Booking object.

application/json
activebooleanOptional

Whether active is enabled.

Example: true
aliasstring · nullableOptional

Alias value.

Example: booking-alias-001
availabilityIdstring · nullableOptional

Availability identifier (local date or local date-time).

Example: 2026-05-14T09:00:00-04:00
availabilityLocalDateEndstring · nullableOptional

Availability local date end value.

Example: 2026-05-21
availabilityLocalDateStartstring · nullableOptional

Availability local date start value.

Example: 2026-05-14
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodsstring[]Optional

Delivery methods available on this booking. VOUCHER means use booking.voucher; TICKET means use booking.unitItems[].ticket.

Example: ["VOUCHER","TICKET"]
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
freesalebooleanOptional

Whether freesale is enabled.

Example: true
idstring · uuidRead-onlyOptional

Unique identifier for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
localDateTimeEndstring · date-timeOptional

Local date time end timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
localDateTimeStartstring · date-timeOptional

Local date time start timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
notesstring · nullableOptional

Notes value.

Example: Vegetarian meal requested
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
originalRebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
rebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
resellerReferencestring · nullableOptional

Reseller reference value.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
statusstring · enumRequired

Current status value.

Example: ON_HOLDPossible values:
supplierReferencestringOptional

Human-readable supplier reference to share with the guest and store for support and billing reconciliation.

Example: SUP-BOOK-7782
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcNoshowedAtstring · date-time · nullableOptional

Utc noshowed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRebookedAtstring · date-time · nullableOptional

Utc rebooked at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRedeemedAtstring · date-time · nullableOptional

Utc redeemed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
offerCodestring · nullableOptional

From capability octo/offers.

Example: SUMMER25
offerIsCombinationbooleanOptional

From capability octo/offers.

Example: true
offerTitlestring · nullableOptional

From capability octo/offers.

Example: Summer Promotion
packageIncludeIdstring · nullableOptional

From capability octo/packages.

Example: package_include_id-example
packageUnitItemUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
packageUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
dropoffNotesstring · nullableOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstring · nullableOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
pickupHotelstring · nullableOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstring · nullableOptional

From capability octo/pickups.

Example: 1208
pickupNotesstring · nullableOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstring · nullableOptional

From capability octo/pickups.

Example: pickup_union_square
rentalDurationIdstring · nullableOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstring · nullableOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
orderInvoicePdfUrlstring · nullableOptional

From capability octo/cart.

Example: https://www.city-sightseeing.com
orderReferencestring · nullableOptional

From capability octo/cart.

Example: ORDER-2026-0514-1001
primarybooleanOptional

From capability octo/cart.

Example: true
checkedInbooleanOptional

From capability octo/checkin.

Example: true
checkinAvailablebooleanOptional

From capability octo/checkin.

Example: true
checkinUrlstring · nullableOptional

From capability octo/checkin.

Example: https://checkin.city-sightseeing.com/booking/89fe0192
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
post
/bookings/{uuid}/extend
200

Returns a Booking object.

Get Booking

get

Fetches a booking by UUID.

Path parameters
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
Responses
chevron-right
200

Returns a Booking object.

application/json
activebooleanOptional

Whether active is enabled.

Example: true
aliasstring · nullableOptional

Alias value.

Example: booking-alias-001
availabilityIdstring · nullableOptional

Availability identifier (local date or local date-time).

Example: 2026-05-14T09:00:00-04:00
availabilityLocalDateEndstring · nullableOptional

Availability local date end value.

Example: 2026-05-21
availabilityLocalDateStartstring · nullableOptional

Availability local date start value.

Example: 2026-05-14
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodsstring[]Optional

Delivery methods available on this booking. VOUCHER means use booking.voucher; TICKET means use booking.unitItems[].ticket.

Example: ["VOUCHER","TICKET"]
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
freesalebooleanOptional

Whether freesale is enabled.

Example: true
idstring · uuidRead-onlyOptional

Unique identifier for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
localDateTimeEndstring · date-timeOptional

Local date time end timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
localDateTimeStartstring · date-timeOptional

Local date time start timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
notesstring · nullableOptional

Notes value.

Example: Vegetarian meal requested
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
originalRebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
rebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
resellerReferencestring · nullableOptional

Reseller reference value.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
statusstring · enumRequired

Current status value.

Example: ON_HOLDPossible values:
supplierReferencestringOptional

Human-readable supplier reference to share with the guest and store for support and billing reconciliation.

Example: SUP-BOOK-7782
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcNoshowedAtstring · date-time · nullableOptional

Utc noshowed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRebookedAtstring · date-time · nullableOptional

Utc rebooked at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRedeemedAtstring · date-time · nullableOptional

Utc redeemed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
offerCodestring · nullableOptional

From capability octo/offers.

Example: SUMMER25
offerIsCombinationbooleanOptional

From capability octo/offers.

Example: true
offerTitlestring · nullableOptional

From capability octo/offers.

Example: Summer Promotion
packageIncludeIdstring · nullableOptional

From capability octo/packages.

Example: package_include_id-example
packageUnitItemUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
packageUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
dropoffNotesstring · nullableOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstring · nullableOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
pickupHotelstring · nullableOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstring · nullableOptional

From capability octo/pickups.

Example: 1208
pickupNotesstring · nullableOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstring · nullableOptional

From capability octo/pickups.

Example: pickup_union_square
rentalDurationIdstring · nullableOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstring · nullableOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
orderInvoicePdfUrlstring · nullableOptional

From capability octo/cart.

Example: https://www.city-sightseeing.com
orderReferencestring · nullableOptional

From capability octo/cart.

Example: ORDER-2026-0514-1001
primarybooleanOptional

From capability octo/cart.

Example: true
checkedInbooleanOptional

From capability octo/checkin.

Example: true
checkinAvailablebooleanOptional

From capability octo/checkin.

Example: true
checkinUrlstring · nullableOptional

From capability octo/checkin.

Example: https://checkin.city-sightseeing.com/booking/89fe0192
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
get
/bookings/{uuid}
200

Returns a Booking object.

List Bookings

get

Lists bookings using one required primary search filter.

Query parameters
resellerReferencestringOptional

Primary filter.

Example: RES-BOOK-10045
supplierReferencestringOptional

Primary filter.

Example: SUP-BOOK-7782
localDatestringOptional

Primary filter.

Example: 2026-05-14
localDateStartstringOptional

Primary filter start (requires localDateEnd).

Example: 2026-05-14
localDateEndstringOptional

Primary filter end (requires localDateStart).

Example: 2026-05-21
availabilityIdstringOptional

Primary filter.

Example: 2026-05-14T09:00:00-04:00
utcCreatedAtStartstringOptional

Primary filter start (requires utcCreatedAtEnd).

Example: 2026-05-14T13:00:00Z
utcCreatedAtEndstringOptional

Primary filter end (requires utcCreatedAtStart).

Example: 2026-05-14T15:00:00Z
utcUpdatedAtStartstringOptional

Primary filter start (requires utcUpdatedAtEnd).

Example: 2026-05-14T13:00:00Z
utcUpdatedAtEndstringOptional

Primary filter end (requires utcUpdatedAtStart).

Example: 2026-05-14T15:00:00Z
utcRedeemedAtStartstringOptional

Primary filter start (requires utcRedeemedAtEnd).

Example: 2026-05-14T13:00:00Z
utcRedeemedAtEndstringOptional

Primary filter end (requires utcRedeemedAtStart).

Example: 2026-05-14T15:00:00Z
utcNoshowedAtStartstringOptional

Primary filter start (requires utcNoshowedAtEnd).

Example: 2026-05-14T13:00:00Z
utcNoshowedAtEndstringOptional

Primary filter end (requires utcNoshowedAtStart).

Example: 2026-05-14T15:00:00Z
utcRebookedAtStartstringOptional

Primary filter start (requires utcRebookedAtEnd).

Example: 2026-05-14T13:00:00Z
utcRebookedAtEndstringOptional

Primary filter end (requires utcRebookedAtStart).

Example: 2026-05-14T15:00:00Z
utcCancelledAtStartstringOptional

Primary filter start (requires utcCancelledAtEnd).

Example: 2026-05-14T13:00:00Z
utcCancelledAtEndstringOptional

Primary filter end (requires utcCancelledAtStart).

Example: 2026-05-14T15:00:00Z
contactEmailAddressstringOptional

Primary filter.

Example: [email protected]
contactPhoneNumberstringOptional

Primary filter.

Example: +12025550123
contactLastNamestringOptional

Primary filter. Must be at least 3 characters.

Example: Morning City Tour
statusstringOptional

Optional status filter.

Example: CONFIRMED
statusesarrayOptional

Optional multi-status filter.

Example: ["CONFIRMED","ON_HOLD"]
tagstringOptional

Optional tag filter.

Example: tag-example
productIdstringOptional

Optional product filter.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
optionIdstringOptional

Option filter (DEFAULT matches default option).

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
pageintegerOptional

Optional page number.

Example: 2
perPageintegerOptional

Optional page size.

Example: 50
Responses
chevron-right
200

Returns an array of Booking objects.

application/json
activebooleanOptional

Whether active is enabled.

Example: true
aliasstring · nullableOptional

Alias value.

Example: booking-alias-001
availabilityIdstring · nullableOptional

Availability identifier (local date or local date-time).

Example: 2026-05-14T09:00:00-04:00
availabilityLocalDateEndstring · nullableOptional

Availability local date end value.

Example: 2026-05-21
availabilityLocalDateStartstring · nullableOptional

Availability local date start value.

Example: 2026-05-14
cancellablebooleanOptional

Whether cancellable is enabled.

Example: true
confirmablebooleanOptional

Whether confirmable is enabled.

Example: true
currencystringOptional

ISO 4217 currency code.

Example: USD
deliveryMethodsstring[]Optional

Delivery methods available on this booking. VOUCHER means use booking.voucher; TICKET means use booking.unitItems[].ticket.

Example: ["VOUCHER","TICKET"]
emailReceiptbooleanOptional

Whether email receipt is enabled.

Example: true
freesalebooleanOptional

Whether freesale is enabled.

Example: true
idstring · uuidRead-onlyOptional

Unique identifier for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
invoicePdfUrlstring · nullableOptional

Invoice pdf url URL.

Example: https://www.city-sightseeing.com
localDateTimeEndstring · date-timeOptional

Local date time end timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
localDateTimeStartstring · date-timeOptional

Local date time start timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
notesstring · nullableOptional

Notes value.

Example: Vegetarian meal requested
optionIdstringRequired

Option identifier.

Example: 94cdd032-3d32-416d-b0a4-abf8b7495b8b
originalRebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
productIdstringOptional

Product identifier.

Example: e7cc8bb4-8d1c-4848-8824-5dbedb718681
quotebooleanOptional

Whether quote is enabled.

Example: false
rebookingUuidstring · nullableOptional

UUID value for this resource.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
requiredContactFieldsstring[]Optional

List of required contact field values.

Example: ["fullName","emailAddress"]
resellerReferencestring · nullableOptional

Reseller reference value.

Example: RES-BOOK-10045
settlementMethodstringOptional

Settlement method value.

Example: DIRECT
statusstring · enumRequired

Current status value.

Example: ON_HOLDPossible values:
supplierReferencestringOptional

Human-readable supplier reference to share with the guest and store for support and billing reconciliation.

Example: SUP-BOOK-7782
tagsstring[]Optional

List of tag values.

Example: ["vip","partner"]
testModebooleanOptional

Whether test mode is enabled.

Example: false
updatablebooleanOptional

Whether updatable is enabled.

Example: true
utcConfirmedAtstring · date-time · nullableOptional

Utc confirmed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcCreatedAtstring · date-timeOptional

Utc created at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcExpiresAtstring · date-time · nullableOptional

Utc expires at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcNoshowedAtstring · date-time · nullableOptional

Utc noshowed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRebookedAtstring · date-time · nullableOptional

Utc rebooked at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcRedeemedAtstring · date-time · nullableOptional

Utc redeemed at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
utcUpdatedAtstring · date-timeOptional

Utc updated at timestamp in ISO 8601 format.

Example: 2026-05-14T13:00:00Z
uuidstringRequired

User-submitted UUID field that can be used to uniquely reference this resource and provide idempotency against repeat requests with the same UUID.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
visibleContactFieldsstring[]Optional

List of visible contact field values.

Example: ["fullName","emailAddress"]
termsAcceptedboolean · nullableOptional

From capability octo/content.

Example: true
offerCodestring · nullableOptional

From capability octo/offers.

Example: SUMMER25
offerIsCombinationbooleanOptional

From capability octo/offers.

Example: true
offerTitlestring · nullableOptional

From capability octo/offers.

Example: Summer Promotion
packageIncludeIdstring · nullableOptional

From capability octo/packages.

Example: package_include_id-example
packageUnitItemUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
packageUuidstring · nullableOptional

From capability octo/packages.

Example: 89fe0192-ddcd-430a-b285-e1396a4725d2
dropoffNotesstring · nullableOptional

From capability octo/pickups.

Example: Drop-off at Fisherman's Wharf.
dropoffPointIdstring · nullableOptional

From capability octo/pickups.

Example: dropoff_fishermans_wharf
pickupHotelstring · nullableOptional

From capability octo/pickups.

Example: Hilton Union Square
pickupHotelRoomstring · nullableOptional

From capability octo/pickups.

Example: 1208
pickupNotesstring · nullableOptional

From capability octo/pickups.

Example: Meet the guide by the hotel lobby.
pickupPointIdstring · nullableOptional

From capability octo/pickups.

Example: pickup_union_square
rentalDurationIdstring · nullableOptional

From capability octo/rentals.

Example: rental_duration_2h
orderIdstring · nullableOptional

From capability octo/cart.

Example: ord_20260514_9f3c21
orderInvoicePdfUrlstring · nullableOptional

From capability octo/cart.

Example: https://www.city-sightseeing.com
orderReferencestring · nullableOptional

From capability octo/cart.

Example: ORDER-2026-0514-1001
primarybooleanOptional

From capability octo/cart.

Example: true
checkedInbooleanOptional

From capability octo/checkin.

Example: true
checkinAvailablebooleanOptional

From capability octo/checkin.

Example: true
checkinUrlstring · nullableOptional

From capability octo/checkin.

Example: https://checkin.city-sightseeing.com/booking/89fe0192
returnUrlstring · nullableOptional

From capability octo/cardPayments.

Example: https://checkout.city-sightseeing.com/return
appendMembershipValiditybooleanOptional

From capability octo/memberships.

Example: true
identityIdstring · nullableOptional

From capability octo/identities.

Example: identity_customer_001
get
/bookings
200

Returns an array of Booking objects.

After Confirmation: Fields to Use

When POST /bookings/{uuid}/confirm succeeds, prioritize these fields from the booking response:

  • booking.supplierReference: Human-readable supplier reference. Give this to the guest and store it for customer support and billing reconciliation.

  • booking.voucher: Use when booking.deliveryMethods contains VOUCHER (one ticket media object per booking).

  • booking.unitItems[].ticket: Use when booking.deliveryMethods contains TICKET (one ticket media object per person/unit item).

  • booking.pricing.retail: Retail amount in minor units that you must charge the guest for the booking.

  • booking.pricing.net: Net amount in minor units that the supplier will invoice for the booking.

If booking.deliveryMethods contains both VOUCHER and TICKET, the reseller can choose what the guest prefers: one voucher for the booking, or one ticket per person.

The booking.voucher and booking.unitItems[].ticket objects have the same shape and provide guest-facing media in deliveryOptions (for example PDF_URL, QRCODE, and wallet links).

For GET /bookings, include one primary filter from this set:

  • resellerReference

  • supplierReference

  • localDate

  • localDateStart + localDateEnd

  • availabilityId

  • utcCreatedAtStart + utcCreatedAtEnd

  • utcUpdatedAtStart + utcUpdatedAtEnd

  • utcRedeemedAtStart + utcRedeemedAtEnd

  • utcNoshowedAtStart + utcNoshowedAtEnd

  • utcRebookedAtStart + utcRebookedAtEnd

  • utcCancelledAtStart + utcCancelledAtEnd

  • contactEmailAddress

  • contactPhoneNumber

  • contactLastName

Supported status filter values are:

  • REDEEMED

  • NO_SHOW

  • ON_HOLD

  • CANCELLED

  • EXPIRED

  • PENDING

  • REJECTED

  • REBOOKED

  • QUOTE

  • CONFIRMED

Pagination notes:

  • page and perPage are supported.

  • Octo-Total-Pages response header is set when paginating.

  • When page is omitted, the API may aggregate all pages internally and return one combined array.

Voucher/ticket delivery URLs are returned directly in voucher.deliveryOptions[].deliveryValue and unitItems[].ticket.deliveryOptions[].deliveryValue.

Last updated